%define pypi_name cachetools

Name:           python-cachetools
Version:        5.3.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Extensible memoizing collections and decorators
License:        MIT
URL:            https://pypi.org/project/cachetools
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This module provides various memoizing collections and decorators, including a
variant of the Python 3 Standard Library @lru_cache function decorator.

%package -n     python3-%{pypi_name}
Summary:        Extensible memoizing collections and decorators
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This module provides various memoizing collections and decorators, including a
variant of the Python 3 Standard Library @lru_cache function decorator.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cachetools

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Wed Jan 25 2023 wally <wally> 5.3.0-1.mga9
+ Revision: 1936154
- new version 5.3.0

* Mon Sep 05 2022 papoteur <papoteur> 5.2.0-1.mga9
+ Revision: 1884330
- new 5.2.0

* Wed Mar 23 2022 umeabot <umeabot> 5.0.0-2.mga9
+ Revision: 1823754
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 5.0.0-1.mga9
+ Revision: 1784441
- version 5.0.0
- rebuild for python-3.10

* Fri Aug 27 2021 wally <wally> 4.2.2-1.mga9
+ Revision: 1743002
- new version 4.2.2

* Tue Mar 23 2021 guillomovitch <guillomovitch> 4.2.1-2.mga9
+ Revision: 1708414
- rebuild for python 3.9

* Tue Mar 02 2021 guillomovitch <guillomovitch> 4.2.1-1.mga9
+ Revision: 1696428
- new version 4.2.1

* Sun Dec 13 2020 guillomovitch <guillomovitch> 4.2.0-1.mga8
+ Revision: 1656473
- new version 4.2.0

* Thu Sep 10 2020 guillomovitch <guillomovitch> 4.1.1-1.mga8
+ Revision: 1624268
- new version 4.1.1

* Fri Apr 10 2020 daviddavid <daviddavid> 4.1.0-1.mga8
+ Revision: 1566021
- new version: 4.1.0

* Thu Feb 20 2020 umeabot <umeabot> 4.0.0-2.mga8
+ Revision: 1546440
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 4.0.0-1.mga8
+ Revision: 1486535
- new version: 4.0.0

* Wed Oct 09 2019 daviddavid <daviddavid> 3.1.1-1.mga8
+ Revision: 1450711
- new version: 3.1.1

* Tue Sep 17 2019 tv <tv> 3.1.0-2.mga8
+ Revision: 1443000
- drop python2 subpkg
- rebuild for python-3.8

* Wed Apr 17 2019 wally <wally> 3.1.0-1.mga7
+ Revision: 1392229
- new version 3.1.0

* Tue Jan 08 2019 shlomif <shlomif> 3.0.0-1.mga7
+ Revision: 1351511
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.1.6-3.mga7
+ Revision: 1288393
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.1.6-2.mga7
+ Revision: 1135331
- Rebuild for python 3.6

* Wed Apr 20 2016 philippem <philippem> 1.1.6-1.mga6
+ Revision: 1003708
- update to 1.1.6

* Sat Feb 20 2016 umeabot <umeabot> 1.1.5-2.mga6
+ Revision: 972137
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 philippem <philippem> 1.1.5-1.mga6
+ Revision: 896089
- update to 1.1.5

* Sun Oct 11 2015 philippem <philippem> 1.1.3-1.mga6
+ Revision: 889662
- update to 1.1.3

* Sat Oct 10 2015 tv <tv> 0.7.1-2.mga6
+ Revision: 888746
- rebuild for python 3.5

* Sun Nov 23 2014 philippem <philippem> 0.7.1-1.mga5
+ Revision: 798554
- imported package python-cachetools

